cc.funkemunky.api.tinyprotocol.api

## Class Packet.Client

- java.lang.Object
- - cc.funkemunky.api.tinyprotocol.api.Packet.Client

Enclosing class:
  Packet

    public static class Packet.Client
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `ABILITIES`
`static java.lang.String` `ARM_ANIMATION`
`static java.lang.String` `BLOCK_DIG`
`static java.lang.String` `BLOCK_PLACE`
`static java.lang.String` `CHAT`
`static java.lang.String` `CLOSE_WINDOW`
`static java.lang.String` `CUSTOM_PAYLOAD`
`static java.lang.String` `ENTITY_ACTION`
`static java.lang.String` `FLYING`
`static java.lang.String` `HELD_ITEM_SLOT`
`static java.lang.String` `KEEP_ALIVE`
`static java.lang.String` `LEGACY_LOOK` Deprecated.
`static java.lang.String` `LEGACY_POSITION` Deprecated.
`static java.lang.String` `LEGACY_POSITION_LOOK` Deprecated.
`static java.lang.String` `LOOK`
`static java.lang.String` `POSITION`
`static java.lang.String` `POSITION_LOOK`
`static java.lang.String` `TAB_COMPLETE`
`static java.lang.String` `TRANSACTION`
`static java.lang.String` `USE_ENTITY`
`static java.lang.String` `WINDOW_CLICK`

### Constructor Summary

Constructors
Constructor and Description
`Client()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### KEEP_ALIVE

    public static final java.lang.String KEEP_ALIVE

See Also:
  Constant Field Values

#### FLYING

    public static final java.lang.String FLYING

See Also:
  Constant Field Values

#### POSITION

    public static final java.lang.String POSITION

See Also:
  Constant Field Values

#### POSITION_LOOK

    public static final java.lang.String POSITION_LOOK

See Also:
  Constant Field Values

#### LOOK

    public static final java.lang.String LOOK

See Also:
  Constant Field Values

#### LEGACY_POSITION

    @Deprecated
    public static final java.lang.String LEGACY_POSITION

Deprecated.

See Also:
  Constant Field Values

#### LEGACY_POSITION_LOOK

    @Deprecated
    public static final java.lang.String LEGACY_POSITION_LOOK

Deprecated.

See Also:
  Constant Field Values

#### LEGACY_LOOK

    @Deprecated
    public static final java.lang.String LEGACY_LOOK

Deprecated.

See Also:
  Constant Field Values

#### TRANSACTION

    public static final java.lang.String TRANSACTION

See Also:
  Constant Field Values

#### BLOCK_DIG

    public static final java.lang.String BLOCK_DIG

See Also:
  Constant Field Values

#### ENTITY_ACTION

    public static final java.lang.String ENTITY_ACTION

See Also:
  Constant Field Values

#### USE_ENTITY

    public static final java.lang.String USE_ENTITY

See Also:
  Constant Field Values

#### WINDOW_CLICK

    public static final java.lang.String WINDOW_CLICK

See Also:
  Constant Field Values

#### CUSTOM_PAYLOAD

    public static final java.lang.String CUSTOM_PAYLOAD

See Also:
  Constant Field Values

#### ARM_ANIMATION

    public static final java.lang.String ARM_ANIMATION

See Also:
  Constant Field Values

#### BLOCK_PLACE

    public static final java.lang.String BLOCK_PLACE

See Also:
  Constant Field Values

#### ABILITIES

    public static final java.lang.String ABILITIES

See Also:
  Constant Field Values

#### HELD_ITEM_SLOT

    public static final java.lang.String HELD_ITEM_SLOT

See Also:
  Constant Field Values

#### CLOSE_WINDOW

    public static final java.lang.String CLOSE_WINDOW

See Also:
  Constant Field Values

#### TAB_COMPLETE

    public static final java.lang.String TAB_COMPLETE

See Also:
  Constant Field Values

#### CHAT

    public static final java.lang.String CHAT

See Also:
  Constant Field Values

### Constructor Detail

#### Client

    public Client()